<?php

/*
 * ROMAN DIGITAL - Autor: Américo Patetta
 */

set_include_path("../../");
include_once("server/class/PedidosManager.php");

$jsonPedidosList = file_get_contents('php://input');
$pedidosArray = json_decode($jsonPedidosList, true);

//$j = json_encode(['882535','3620312']);
//$pedidosArray = json_decode($j);


if (isset($pedidosArray['token']) && $pedidosArray['token'] == TOKEN_BRODEVO) {
    if (isset($pedidosArray['pedidosList']) && is_array($pedidosArray['pedidosList']) && count($pedidosArray['pedidosList'])) {
        $status = PedidosManager::getPedidosDeliveryTimestamp($pedidosArray['pedidosList']);
        $response['status'] = ($status) ? $status : "No se encontró ningún pedido, lista incoherente";
        $response['error'] = ($status) ? 0 : -2;
    } else {
        $response['error'] = -1;
        $response['status'] = "Lista de pedidos vacía o no especificada";
    }
} else {
    $response['error'] = -3;
    $response['status'] = "Parámetros incorrectos";
}

header('Content-Type: application/json; charset=utf-8');
echo json_encode($response);
